View Issue Details

IDProjectCategoryLast Update
0021903AI War 2Bug - GameplayAug 11, 2020 9:42 am
ReporterOzoneGrif Assigned Tokeith.lamothe  
Severityminor 
Status resolvedResolutionfixed 
Product Version1.001 Official Game Launch! 
Summary0021903: Melee ships (ie. Gangsaw) won't ram naturally into enemy ships unless in pursuit mode
DescriptionThis is an issue with the melee ships, if you don't set them in pursuit mode, they will remain mostly passive during the battles. The only way to use them correctly is to put all the melee ships in one dedicated fleet, then set it to pursuit mode.

They should go for the kill naturally, as soon as the enemy gets "close enough". The issue here is to define what "close enough" means. Some melee ships are meant to be quickly destroyed and rebuilt (ie. the missiles), these almost always benefit from attacking the whole planet (infinite range). Others would require a shorter range.
TagsNo tags attached.

Relationships

related to 0023219 resolvedkeith.lamothe Melee ships on attack-move mode don't behave differently than when moving/attacking without any modes 

Activities

wm46

Oct 24, 2019 12:31 pm

reporter   ~0053924

Maybe in target list planning, ships with a melee targeting modifier automatically check a specific distance?

That would make the distance hard coded for every melee ship, but it's very easy to implement.

RocketAssistedPuffin

Oct 24, 2019 1:04 pm

reporter   ~0053926

Classic gave melee ships like Cutlasses a "Target Seek Range". Seems to be similar to your idea.

BadgerBadger

Oct 25, 2019 12:56 am

manager   ~0053941

Got a save game that easily reproduces the problem?

OzoneGrif

Oct 25, 2019 12:06 pm

reporter   ~0053960

save game, melee ships are not attacking for fleet 1, yet they are very close to the guard post and its ships
meleebug.zip (149,928 bytes)

zeusalmighty

Oct 25, 2019 1:30 pm

reporter   ~0053965

Badger, your new "attack mode" sounds particularly applicable for melee units -- looking forward to testing this

keith.lamothe

Aug 10, 2020 11:44 am

administrator   ~0058027

Last edited: Aug 10, 2020 11:45 am

View 2 revisions

For 2.117:

* Melee units in attack-move mode will now go after units within a limited range (equivalent to a weapon with range=Normal1), so you have a middle-ground between "only attack your direct target or things actually touching you" and "pursue anything on the planet".

This doesn't solve the problem for melee units not in any particular mode; I also implemented a "always put player melee units in attack-move mode unless in pursuit or hold-fire" rule but wound up backing that out as it seemed to conflict with things like normal move orders (the gangsaws would refuse to comply, and instead kept eating whatever they had caught, etc).

So I'm sure we're not done here, but I'd like feedback on what the next steps should be after you have a chance to see the seek-range in action.

keith.lamothe

Aug 11, 2020 9:41 am

administrator   ~0058040

Went ahead with a further refinement, after all:

* Also, even when not in attack-move mode, player melee units without orders (and not in hold-fire mode) now automatically move to attack nearby targets. If all such targets die or move away, the melee unit goes back to where it was.

I was skeptical, thinking it would lead to annoying edge cases where it seemed to resist player commands, etc, but it actually works really smoothly in my testing. I'm confident it will break horribly once released into the wild ;)

Issue History

Date Modified Username Field Change
Oct 24, 2019 11:58 am OzoneGrif New Issue
Oct 24, 2019 11:58 am OzoneGrif Description Updated View Revisions
Oct 24, 2019 12:31 pm wm46 Note Added: 0053924
Oct 24, 2019 1:04 pm RocketAssistedPuffin Note Added: 0053926
Oct 25, 2019 12:56 am BadgerBadger Note Added: 0053941
Oct 25, 2019 12:06 pm OzoneGrif File Added: meleebug.zip
Oct 25, 2019 12:06 pm OzoneGrif Note Added: 0053960
Oct 25, 2019 1:30 pm zeusalmighty Note Added: 0053965
May 27, 2020 7:31 am Ubifan Relationship added related to 0023219
Aug 10, 2020 11:44 am keith.lamothe Note Added: 0058027
Aug 10, 2020 11:45 am keith.lamothe Note Edited: 0058027 View Revisions
Aug 11, 2020 9:41 am keith.lamothe Note Added: 0058040
Aug 11, 2020 9:42 am keith.lamothe Assigned To => keith.lamothe
Aug 11, 2020 9:42 am keith.lamothe Status new => resolved
Aug 11, 2020 9:42 am keith.lamothe Resolution open => fixed

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?